Name: gnome-mlview
Version: 0.6.1
Release: alt1
%define oldname mlview

Summary: XML Editor for GNOME
Summary(ru_RU.KOI8-R):  XML  GNOME

License: GNU General Public Licence.
Group: Text tools
Url: http://www.freesoftware.fsf.org/mlview/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: %oldname-%version.tar.bz2
Source1: %name-%version.ru.po
Source2: %name-16.png
Source3: %name-32.png
Source4: %name-48.png

Requires: libxml2 >= 2.4.30
Obsoletes: mlview

# Automatically added by buildreq on Sun Sep 21 2003
BuildRequires: ORBit2-devel XFree86-devel XFree86-libs esound-devel fontconfig freetype2 glib2-devel glibc-devel-static gnome-vfs2-devel hostinfo libGConf2-devel libalsa-devel libart_lgpl-devel libatk-devel libaudiofile-devel libbonobo2-devel libbonoboui-devel libexpat libglade2-devel libgnome-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libjpeg-devel libpango-devel libpopt-devel libssl-devel libxml2-devel pkgconfig zlib-devel

%description
gnome-mlview (Gnome Markup language Viewer) is an XML editor for GNOME.
It include support to view, edit, validate and save xml document by graphical
manipulation the xml Document Object Model.

%description -l ru_RU.KOI8-R
gnome-mlview (Gnome Markup language Viewer) --   XML  GNOME.
  , ,   
 xml ԣ     
 xml.

%prep
%setup -q -n %oldname-%{version}
cp -f %SOURCE1 po/ru.po

%build
#%__subst 's|pt pt_BR sr|pt pt_BR ru sr|' ./configure
%configure
%make_build

%install 

#%__subst 's|DESTDIR =|DESTDIR =$(RPM_BUILD_ROOT)|' ./ui/Makefile
#%__subst 's|DESTDIR =|DESTDIR =$(RPM_BUILD_ROOT)|' ./pixmaps/Makefile

%makeinstall

#icons entries
%__install -D %SOURCE2 $RPM_BUILD_ROOT%_miconsdir/%name.png
%__install -D %SOURCE3 $RPM_BUILD_ROOT%_iconsdir/%name.png
%__install -D %SOURCE4 $RPM_BUILD_ROOT%_liconsdir/%name.png

%__mkdir_p $RPM_BUILD_ROOT%_menudir
%__cat << EOF > $RPM_BUILD_ROOT%_menudir/%name
?package(%name):command="%name" \\
needs="x11" \\
section="Applications/%group" \\
title="MlView" \\
longtitle="XML Editor" \\
genericname="XML Editor" \\
icon="%name.png" \\
EOF

%__mv $RPM_BUILD_ROOT%_bindir/mlv $RPM_BUILD_ROOT%_bindir/%name
%__mv $RPM_BUILD_ROOT%_datadir/%oldname $RPM_BUILD_ROOT%_datadir/%name

%find_lang %oldname --with-gnome

%post
%update_menus
%update_scrollkeeper

%postun
%clean_menus
%clean_scrollkeeper

%files -f %oldname.lang
%_libdir/*.so*
#%_bindir/mlv
%_bindir/%name
%_menudir/%name
%_datadir/%name
%config(noreplace) %_sysconfdir/gconf/schemas/*
%_datadir/applications/*
%_datadir/pixmaps/*
%_iconsdir/*.png
%_iconsdir/mini/*.png
%_iconsdir/large/*.png

%changelog
* Sun Nov 30 2003 Vitaly Lipatov <lav@altlinux.ru> 0.6.1-alt1
- new version
- adapted spec

* Thu Sep 11 2003 Vitaly Lipatov <lav@altlinux.ru> 0.6.0-alt1
- new version
- update ru.po

* Tue Jan 07 2003 Vitaly Lipatov <lav@altlinux.ru> 0.0.3-alt0.3.1rc2
- first release for Sisyphus
- new rc2
- add post/postup sections
